<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

class CreateProjectSmartdokProfileTable extends Migration
{
    public function up() {
        Schema::create('project_smartdok_profile', function (Blueprint $table) {
            $table->unsignedBigInteger('project_id');
            $table->uuid('smartdok_profile_id');

            $table->foreign('project_id')
                  ->references('id')->on('projects')
                  ->onDelete('cascade');

            $table->foreign('smartdok_profile_id')
                  ->references('id')->on('smartdok_profiles')
                  ->onDelete('cascade');

            $table->primary(['project_id', 'smartdok_profile_id']);
        });
    }

    public function down() {
        Schema::dropIfExists('project_smartdok_profile');
    }
}