<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

class CreateProjectWorkhourTable extends Migration
{
    public function up() {
        Schema::create('project_workhour', function (Blueprint $table) {
            $table->string('workhour_id');
            $table->unsignedBigInteger('project_id');

            $table->foreign('workhour_id')
                  ->references('id')->on('work_hours')
                  ->onDelete('cascade');

            $table->foreign('project_id')
                  ->references('id')->on('projects')
                  ->onDelete('cascade');

            $table->primary(['workhour_id', 'project_id']);
        });
    }

    public function down() {
        Schema::dropIfExists('project_workhour');
    }
}