<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

class AddProjectIdToWorkHoursTable extends Migration
{
    public function up() {
        Schema::table('work_hours', function (Blueprint $table) {
            // assuming projects.id is bigIncrements
            $table->unsignedBigInteger('project_id')
                  ->after('user_id')
                  ->nullable(false);

            $table->foreign('project_id')
                  ->references('id')
                  ->on('projects')
                  ->onDelete('cascade');
        });
    }

    public function down() {
        Schema::table('work_hours', function (Blueprint $table) {
            $table->dropForeign(['project_id']);
            $table->dropColumn('project_id');
        });
    }
}