<?php

return [

    /*
    |--------------------------------------------------------------------------
    | Valideringsmeldinger
    |--------------------------------------------------------------------------
    |
    | Følgende linjer inneholder standard feilmeldinger brukt av validator-klassen.
    | Noen av reglene har flere versjoner, for eksempel størrelsesregler.
    | Du kan endre disse meldingene etter behov.
    |
    */

    'accepted' => ':attribute må aksepteres.',
    'accepted_if' => ':attribute må aksepteres når :other er :value.',
    'active_url' => ':attribute må være en gyldig URL.',
    'after' => ':attribute må være en dato etter :date.',
    'after_or_equal' => ':attribute må være en dato etter eller lik :date.',
    'alpha' => ':attribute kan kun inneholde bokstaver.',
    'alpha_dash' => ':attribute kan kun inneholde bokstaver, tall, bindestreker og understreker.',
    'alpha_num' => ':attribute kan kun inneholde bokstaver og tall.',
    'any_of' => ':attribute er ugyldig.',
    'array' => ':attribute må være et array.',
    'ascii' => ':attribute kan kun inneholde ASCII-tegn.',
    'before' => ':attribute må være en dato før :date.',
    'before_or_equal' => ':attribute må være en dato før eller lik :date.',
    'between' => [
        'array' => ':attribute må ha mellom :min og :max elementer.',
        'file' => ':attribute må være mellom :min og :max kilobyte.',
        'numeric' => ':attribute må være mellom :min og :max.',
        'string' => ':attribute må være mellom :min og :max tegn.',
    ],
    'boolean' => ':attribute må være sann eller usann.',
    'can' => ':attribute inneholder en ugyldig verdi.',
    'confirmed' => 'Bekreftelsen for :attribute stemmer ikke.',
    'contains' => ':attribute mangler en påkrevd verdi.',
    'current_password' => 'Passordet er feil.',
    'date' => ':attribute må være en gyldig dato.',
    'date_equals' => ':attribute må være en dato som er lik :date.',
    'date_format' => ':attribute må ha formatet :format.',
    'decimal' => ':attribute må ha :decimal desimaler.',
    'declined' => ':attribute må avvises.',
    'declined_if' => ':attribute må avvises når :other er :value.',
    'different' => ':attribute og :other må være forskjellige.',
    'digits' => ':attribute må være :digits sifre.',
    'digits_between' => ':attribute må være mellom :min og :max sifre.',
    'dimensions' => ':attribute har ugyldige bildedimensjoner.',
    'distinct' => ':attribute inneholder en duplisert verdi.',
    'doesnt_end_with' => ':attribute må ikke slutte med en av følgende: :values.',
    'doesnt_start_with' => ':attribute må ikke starte med en av følgende: :values.',
    'email' => ':attribute må være en gyldig e-postadresse.',
    'ends_with' => ':attribute må slutte med en av følgende: :values.',
    'enum' => 'Valgt :attribute er ugyldig.',
    'exists' => 'Valgt :attribute er ugyldig.',
    'extensions' => ':attribute må ha en av følgende filendelser: :values.',
    'file' => ':attribute må være en fil.',
    'filled' => ':attribute må ha en verdi.',
    'gt' => [
        'array' => ':attribute må ha mer enn :value elementer.',
        'file' => ':attribute må være større enn :value kilobyte.',
        'numeric' => ':attribute må være større enn :value.',
        'string' => ':attribute må være lengre enn :value tegn.',
    ],
    'gte' => [
        'array' => ':attribute må ha :value elementer eller flere.',
        'file' => ':attribute må være større enn eller lik :value kilobyte.',
        'numeric' => ':attribute må være større enn eller lik :value.',
        'string' => ':attribute må være lengre enn eller lik :value tegn.',
    ],
    'hex_color' => ':attribute må være en gyldig heksadesimal farge.',
    'image' => ':attribute må være et bilde.',
    'in' => 'Valgt :attribute er ugyldig.',
    'in_array' => ':attribute finnes ikke i :other.',
    'integer' => ':attribute må være et heltall.',
    'ip' => ':attribute må være en gyldig IP-adresse.',
    'ipv4' => ':attribute må være en gyldig IPv4-adresse.',
    'ipv6' => ':attribute må være en gyldig IPv6-adresse.',
    'json' => ':attribute må være en gyldig JSON-streng.',
    'list' => ':attribute må være en liste.',
    'lowercase' => ':attribute må være små bokstaver.',
    'lt' => [
        'array' => ':attribute må ha færre enn :value elementer.',
        'file' => ':attribute må være mindre enn :value kilobyte.',
        'numeric' => ':attribute må være mindre enn :value.',
        'string' => ':attribute må være kortere enn :value tegn.',
    ],
    'lte' => [
        'array' => ':attribute må ikke ha flere enn :value elementer.',
        'file' => ':attribute må være mindre enn eller lik :value kilobyte.',
        'numeric' => ':attribute må være mindre enn eller lik :value.',
        'string' => ':attribute må være kortere enn eller lik :value tegn.',
    ],
    'mac_address' => ':attribute må være en gyldig MAC-adresse.',
    'max' => [
        'array' => ':attribute må ikke ha mer enn :max elementer.',
        'file' => ':attribute må ikke være større enn :max kilobyte.',
        'numeric' => ':attribute må ikke være større enn :max.',
        'string' => ':attribute må ikke være lengre enn :max tegn.',
    ],
    'max_digits' => ':attribute må ikke ha mer enn :max sifre.',
    'mimes' => ':attribute må være en fil av typen: :values.',
    'mimetypes' => ':attribute må være en fil av typen: :values.',
    'min' => [
        'array' => ':attribute må ha minst :min elementer.',
        'file' => ':attribute må være minst :min kilobyte.',
        'numeric' => ':attribute må være minst :min.',
        'string' => ':attribute må være minst :min tegn.',
    ],
    'min_digits' => ':attribute må ha minst :min sifre.',
    'missing' => ':attribute må mangle.',
    'missing_if' => ':attribute må mangle når :other er :value.',
    'missing_unless' => ':attribute må mangle med mindre :other er :value.',
    'missing_with' => ':attribute må mangle når :values er til stede.',
    'missing_with_all' => ':attribute må mangle når :values er til stede.',
    'multiple_of' => ':attribute må være et multiplum av :value.',
    'not_in' => 'Valgt :attribute er ugyldig.',
    'not_regex' => ':attribute har ugyldig format.',
    'numeric' => ':attribute må være et tall.',
    'password' => [
        'letters' => ':attribute må inneholde minst én bokstav.',
        'mixed' => ':attribute må inneholde minst én stor og én liten bokstav.',
        'numbers' => ':attribute må inneholde minst ett tall.',
        'symbols' => ':attribute må inneholde minst ett symbol.',
        'uncompromised' => 'Det angitte :attribute er funnet i et datalekkasje. Velg et annet.',
    ],
    'present' => ':attribute må være til stede.',
    'present_if' => ':attribute må være til stede når :other er :value.',
    'present_unless' => ':attribute må være til stede med mindre :other er :value.',
    'present_with' => ':attribute må være til stede når :values er til stede.',
    'present_with_all' => ':attribute må være til stede når :values er til stede.',
    'prohibited' => ':attribute er forbudt.',
    'prohibited_if' => ':attribute er forbudt når :other er :value.',
    'prohibited_if_accepted' => ':attribute er forbudt når :other er akseptert.',
    'prohibited_if_declined' => ':attribute er forbudt når :other er avvist.',
    'prohibited_unless' => ':attribute er forbudt med mindre :other er i :values.',
    'prohibits' => ':attribute forhindrer at :other er til stede.',
    'regex' => ':attribute har ugyldig format.',
    'required' => ':attribute er påkrevd.',
    'required_array_keys' => ':attribute må inneholde oppføringer for: :values.',
    'required_if' => ':attribute er påkrevd når :other er :value.',
    'required_if_accepted' => ':attribute er påkrevd når :other er akseptert.',
    'required_if_declined' => ':attribute er påkrevd når :other er avvist.',
    'required_unless' => ':attribute er påkrevd med mindre :other er i :values.',
    'required_with' => ':attribute er påkrevd når :values er til stede.',
    'required_with_all' => ':attribute er påkrevd når :values er til stede.',
    'required_without' => ':attribute er påkrevd når :values ikke er til stede.',
    'required_without_all' => ':attribute er påkrevd når ingen av :values er til stede.',
    'same' => ':attribute og :other må være like.',
    'size' => [
        'array' => ':attribute må inneholde :size elementer.',
        'file' => ':attribute må være :size kilobyte.',
        'numeric' => ':attribute må være :size.',
        'string' => ':attribute må være :size tegn.',
    ],
    'starts_with' => ':attribute må starte med en av følgende: :values.',
    'string' => ':attribute må være en streng.',
    'timezone' => ':attribute må være en gyldig tidssone.',
    'unique' => ':attribute er allerede i bruk.',
    'uploaded' => 'Opplasting av :attribute feilet.',
    'uppercase' => ':attribute må være store bokstaver.',
    'url' => ':attribute må være en gyldig URL.',
    'ulid' => ':attribute må være en gyldig ULID.',
    'uuid' => ':attribute må være en gyldig UUID.',

    'custom' => [
        'attribute-name' => [
            'rule-name' => 'tilpasset-melding',
        ],
    ],

    'attributes' => [],

];
