<?php

use Illuminate\Support\Facades\Route;
use Illuminate\Http\Request;

use App\Http\Controllers\Api\AuthenticationController;
use App\Http\Controllers\Api\SmartdokProfileController;
use App\Http\Controllers\Api\DepartmentController;
use App\Http\Controllers\Api\ProjectController;
use App\Http\Controllers\Api\WorkHourController;
use App\Http\Controllers\Api\SmartdokLiveController;

Route::get('/user', function (Request $request) {
    return $request->user();
})->middleware('auth:sanctum');


Route::post('/Authorize', [AuthenticationController::class, 'authorize'])->name('authorize');

/*
|--------------------------------------------------------------------------
| Protected routes (Sanctum) smartdok test routes
|--------------------------------------------------------------------------
*/
Route::middleware('auth:sanctum')->group(function () {
    Route::get('/Users',      [SmartdokProfileController::class, 'index']);
    Route::get('/Users/{id}', [SmartdokProfileController::class, 'show']);

    Route::get('/Departments',      [DepartmentController::class, 'index']);
    Route::get('/Departments/{id}', [DepartmentController::class, 'show']);

    Route::get('/Projects',      [ProjectController::class, 'index']);
    Route::get('/Projects/{id}', [ProjectController::class, 'show']);

    Route::get('/WorkHours', [WorkHourController::class, 'index']);
});

/*
|--------------------------------------------------------------------------
| Protected routes (Sanctum) smartdok prod routes
|--------------------------------------------------------------------------
*/
Route::middleware('auth:sanctum')->group(function () {
    Route::get('/live/smartdok/Users',      [SmartdokLiveController::class, 'users']);
    Route::get('/live/smartdok/Users/{id}', [SmartdokLiveController::class, 'user']);

    Route::get('/live/smartdok/Departments',      [SmartdokLiveController::class, 'departments']);
    Route::get('/live/smartdok/Departments/{id}', [SmartdokLiveController::class, 'department']);

    Route::get('/live/smartdok/Projects',      [SmartdokLiveController::class, 'projects']);
    Route::get('/live/smartdok/Projects/{id}', [SmartdokLiveController::class, 'project']);

    Route::get('/live/smartdok/WorkHours', [SmartdokLiveController::class, 'workhours']);
});