<?php
// routes/smartdok_routes.php

use Illuminate\Support\Facades\Route;
use App\Http\Controllers\SmartdokProfileController;
use App\Http\Controllers\DepartmentController;
use App\Http\Controllers\ProjectController;
use App\Http\Controllers\WorkHourController;

/*
|--------------------------------------------------------------------------
| Smartdok CRUD Routes
|--------------------------------------------------------------------------
|
| These routes provide full CRUD (index, create, store, show, edit, update,
| destroy) for the Smartdok test resources.
|
*/

Route::middleware(['auth', 'verified'])->group(function() {
    Route::prefix('smartdok')->name('smartdok.')->group(function () {
        // Profiles
        Route::resource('profiles', SmartdokProfileController::class);
        // Departments
        Route::resource('departments', DepartmentController::class);
        // Projects
        Route::resource('projects', ProjectController::class);
        // Work Hours
        Route::resource('work-hours', WorkHourController::class);
    });
});