<?php

use Illuminate\Support\Facades\Route;
use Inertia\Inertia;

use App\Http\Controllers\ApiAdminController;

Route::get('/', function () {
    return Inertia::render('Welcome');
})->name('home');

Route::middleware(['auth', 'verified'])->group(function () {
    Route::get('dashboard', [ApiAdminController::class, 'index'])
         ->name('dashboard');

    Route::get('apikeys/create', [ApiAdminController::class, 'create'])
         ->name('apikeys.create');

    Route::post('apikeys', [ApiAdminController::class, 'store'])
         ->name('apikeys.store');

    Route::delete('apikeys/{id}', [ApiAdminController::class, 'destroy'])
         ->name('apikeys.destroy');
});

require __DIR__.'/settings.php';
require __DIR__.'/auth.php';
require __DIR__.'/smartdok_routes.php';